This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 763708 - (GLUSTER-1976) brick group aliases
brick group aliases
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
All Linux
low Severity low
: ---
: ---
Assigned To: Vijay Bellur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-19 03:22 EDT by Prithu Tiwari
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTNR
Mount Type: ---
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prithu Tiwari 2010-10-19 03:22:50 EDT
Adding ability to recognize and add preconfigured brick group alias would greatly
increase convenience of large number of brick storage clusters.

eg. something like

gluster volume alias g1 tarnsport xx b11 b12 b13 b14 ......
gluster volume alias g2 tarnsport xx b21 b22 b23 b24 ......
and so on

then

gluster volume create v1 group g1 
gluster volume add-brick v1 group g2
gluster volume remove-brick v1 group g2
gluster volume add-brick v1 group g3

functionality similar to above.
Comment 1 Vijay Bellur 2010-12-01 22:03:33 EST
Migrated to req 107

Note You need to log in before you can comment on or make changes to this bug.